> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Enrichment Providers



## OpenAPI

````yaml GET /v1/enrichment-providers
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/enrichment-providers:
    get:
      tags:
        - enrichment-providers
      summary: List Enrichment Providers
      operationId: list_enrichment_providers_v1_enrichment_providers_get
      parameters:
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Active
        - name: is_builtin
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Builtin
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Items per page (max 500)
            default: 50
            title: Page Size
          description: Items per page (max 500)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_EnrichmentProviderResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_EnrichmentProviderResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/EnrichmentProviderResponse'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
      required:
        - data
        - meta
      title: PaginatedResponse[EnrichmentProviderResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EnrichmentProviderResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        provider_name:
          type: string
          title: Provider Name
        display_name:
          type: string
          title: Display Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_builtin:
          type: boolean
          title: Is Builtin
        is_active:
          type: boolean
          title: Is Active
        supported_indicator_types:
          items:
            type: string
          type: array
          title: Supported Indicator Types
        http_config:
          additionalProperties: true
          type: object
          title: Http Config
        auth_type:
          type: string
          title: Auth Type
        has_credentials:
          type: boolean
          title: Has Credentials
          default: false
        is_configured:
          type: boolean
          title: Is Configured
          default: false
        env_var_mapping:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Env Var Mapping
        default_cache_ttl_seconds:
          type: integer
          title: Default Cache Ttl Seconds
        cache_ttl_by_type:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Cache Ttl By Type
        malice_rules:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Malice Rules
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - provider_name
        - display_name
        - is_builtin
        - is_active
        - supported_indicator_types
        - http_config
        - auth_type
        - default_cache_ttl_seconds
        - created_at
        - updated_at
      title: EnrichmentProviderResponse
      description: Response schema for enrichment provider endpoints.
    PaginationMeta:
      properties:
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - total
        - page
        - page_size
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````